; Assemblerquelltext des RONPAS-Compilers (c) by Ronald Daleske
; PROGRAM-NAME: TEST_PROCEDURE.PAS
 
.nolist
.INCLUDE "m644Pdef.inc"
.list
 
; *** Variablentabelle ***
 
.dseg
 
ABC:   ; Word
.byte     2
Y1:   ; Word
.byte     2
X5:   ; Word
.byte     2
A1:   ; Byte
.byte     1
B4:   ; Byte
.byte     1
 
 
 
; *** Codesegment ***
.cseg
 
; *** Sprungtabelle ***
.ORG 0
 
; Sprung in das Hauptprogramm
        JMP       RESET
 
; PROCEDURE - Anfang (P01)
P01:
 
; PROCEDURE - Ende (P01)
        RET
 
; PROCEDURE - Anfang (P03)
P03:
 
; Zuweisung Quelle - Ausdruck / lokaler Uebergabeparameter (G2)
        MOV        R16, R0
        MOV        R17, R1
 
; Zuweisung Ziel /  lokale, dynamische Variable VAR (H1)
        MOV        R5, R16
        MOV        R6, R17
 
; Zuweisung Quelle - Ausdruck / lokale, dynamische Variable VAR (ASD)
        MOV        R16, R4
 
; Zuweisung Ziel /  VAR (A1)
        STS        A1, R16
 
; Zuweisung Quelle - Ausdruck / Byte-VAR (B4)
        LDS        R16, B4
 
; Zuweisung Ziel /  lokale, dynamische Variable VAR (ASD)
        MOV        R4, R16
 
; Zuweisung Quelle - Ausdruck / Zahlenwert (0x3039)
        LDI        R16, LOW(0x3039)
        LDI        R17, HIGH(0x3039)
 
; Zuweisung Ziel /  lokaler Uebergabeparameter (G2)
        MOV        R0, R16
        MOV        R1, R17
 
; Zuweisung Quelle - Ausdruck / Word-VAR (X5)
        LDS        R16, X5
        LDS        R17, X5+1
 
; Zuweisung Ziel /  lokaler Uebergabeparameter (G3)
        MOV        R2, R16
        MOV        R3, R17
 
; Zuweisung Quelle - Ausdruck / lokaler Uebergabeparameter (G3)
        MOV        R16, R2
        MOV        R17, R3
 
; Zuweisung Ziel /  VAR (ABC)
        STS        ABC, R16
        STS        ABC+1, R17
 
; PROCEDURE - Ende (P03)
        RET
 
; Start des Hauptprogramms
RESET:
 
; Initialisieren des Stacks
        LDI        R16, LOW(RAMEND)
        OUT        SPL, R16
        LDI        R16, HIGH(RAMEND)
        OUT        SPH, R16
 
; Word-Parameter(1) fuer PROCEDURE (P01)
        LDI        R16, LOW(0x1234)
        MOV        R0, R16
        LDI        R17, HIGH(0x1234)
        MOV        R1, R17
 
; Aufruf PROCEDURE (P01)
        CALL       P01
 
; Word-Parameter(1) fuer PROCEDURE (P03)
        LDS        R0, Y1
        LDS        R1, Y1+1
 
; Word-Parameter(2) fuer PROCEDURE (P03)
        LDS        R2, X5
        LDS        R3, X5+1
 
; Aufruf PROCEDURE (P03)
        CALL       P03
 
; *** Namen-Liste ***
;
; ABC (V) WORD
; Y1 (V) WORD
; X5 (V) WORD
; A1 (V) BYTE
; B4 (V) BYTE
; P01 (P) 
; P03 (P) 
 
; *** Prozedur/Function-Liste ***
;
; PROCEDURE P01 (Y4 : WORD);
; PROCEDURE P03 (G2 : WORD) (G3 : WORD) (ASD : BYTE) (H1 : WORD);
 
