; Assemblerquelltext des RONPAS-Compilers (c) by Ronald Daleske
; PROGRAM-NAME: VIDEO2.PAS
 
.nolist
.INCLUDE "m48def.inc"
.list
 
; *** Konstantentabelle ***
 
.equ        TAKTFREQUENZ  =  0x4E20 ; WORD
.equ        UBRR_VAL  =  0x0A ; BYTE
 
 
; *** Codesegment ***
.cseg
 
; *** Sprungtabelle ***
.ORG 0
 
; Sprung in das Hauptprogramm
        RJMP       RESET
 
; Start des Hauptprogramms
RESET:
 
; Initialisieren des Stacks
        LDI        R16, LOW(RAMEND)
        OUT        SPL, R16
        LDI        R16, HIGH(RAMEND)
        OUT        SPH, R16
 
; Zuweisung Quelle - Ausdruck / Zahlenwert (0x00)
        LDI        R16, 0x00
 
; Zuweisung Ziel /  VAR (UBRR0H)
        STS        UBRR0H, R16
 
; Zuweisung Quelle - Ausdruck / Konstante CONST (UBRR_VAL)
        LDI        R16, 0x0A
 
; Zuweisung Ziel /  VAR (UBRR0L)
        STS        UBRR0L, R16
 
; *** Namen-Liste ***
;
; UDR0 (V) BYTECONVAR
; UBRR0H (V) BYTECONVAR
; UBRR0L (V) BYTECONVAR
; UCSR0A (V) BYTECONVAR
; UCSR0B (V) BYTECONVAR
; UCSR0C (V) BYTECONVAR
; TWAMR (V) BYTECONVAR
; TWCR (V) BYTECONVAR
; TWDR (V) BYTECONVAR
; TWAR (V) BYTECONVAR
; TWSR (V) BYTECONVAR
; TWBR (V) BYTECONVAR
; ASSR (V) BYTECONVAR
; OCR2B (V) BYTECONVAR
; OCR2A (V) BYTECONVAR
; TCNT2 (V) BYTECONVAR
; TCCR2B (V) BYTECONVAR
; TCCR2A (V) BYTECONVAR
; TIMSK2 (V) BYTECONVAR
; TIMSK1 (V) BYTECONVAR
; TIMSK0 (V) BYTECONVAR
; OCR1BL (V) BYTECONVAR
; OCR1BH (V) BYTECONVAR
; OCR1AH (V) BYTECONVAR
; OCR1AL (V) BYTECONVAR
; ICR1L (V) BYTECONVAR
; ICR1H (V) BYTECONVAR
; TCNT1L (V) BYTECONVAR
; TCNT1H (V) BYTECONVAR
; TCCR1C (V) BYTECONVAR
; TCCR1B (V) BYTECONVAR
; TCCR1A (V) BYTECONVAR
; DIDR1 (V) BYTECONVAR
; DIDR0 (V) BYTECONVAR
; ADMUX (V) BYTECONVAR
; ADCSRB (V) BYTECONVAR
; ADCSRA (V) BYTECONVAR
; ADCH (V) BYTECONVAR
; ADCL (V) BYTECONVAR
; PCMSK0 (V) BYTECONVAR
; PCMSK1 (V) BYTECONVAR
; PCMSK2 (V) BYTECONVAR
; PCMSK3 (V) BYTECONVAR
; EICRA (V) BYTECONVAR
; PCICR (V) BYTECONVAR
; OSCCAL (V) BYTECONVAR
; PRR0 (V) BYTECONVAR
; CLKPR (V) BYTECONVAR
; WDTCSR (V) BYTECONVAR
; SREG (V) BYTECONREG
; SPL (V) BYTECONREG
; SPH (V) BYTECONREG
; SPMCSR (V) BYTECONREG
; MCUCR (V) BYTECONREG
; MCUSR (V) BYTECONREG
; SMCR (V) BYTECONREG
; OCDR (V) BYTECONREG
; ACSR (V) BYTECONREG
; SPDR (V) BYTECONREG
; SPSR (V) BYTECONREG
; SPCR (V) BYTECONREG
; GPIOR0 (V) BYTECONREG
; GPIOR1 (V) BYTECONREG
; GPIOR2 (V) BYTECONREG
; OCR0A (V) BYTECONREG
; OCR0B (V) BYTECONREG
; TCNT0 (V) BYTECONREG
; TCCR0A (V) BYTECONREG
; TCCR0B (V) BYTECONREG
; GTCCR (V) BYTECONREG
; EEARH (V) BYTECONREG
; EEARL (V) BYTECONREG
; EEDR (V) BYTECONREG
; EECR (V) BYTECONREG
; EIMSK (V) BYTECONREG
; EIFR (V) BYTECONREG
; PCIFR (V) BYTECONREG
; TIFR2 (V) BYTECONREG
; TIFR1 (V) BYTECONREG
; TIFR0 (V) BYTECONREG
; PORTA (V) BYTECONREG
; DDRA (V) BYTECONREG
; PINA (V) BYTECONREG
; PORTB (V) BYTECONREG
; DDRB (V) BYTECONREG
; PINB (V) BYTECONREG
; PORTC (V) BYTECONREG
; DDRC (V) BYTECONREG
; PINC (V) BYTECONREG
; PORTD (V) BYTECONREG
; DDRD (V) BYTECONREG
; PIND (V) BYTECONREG
; RXC0 (B) BIT
; TXC0 (B) BIT
; UDRE0 (B) BIT
; TAKTFREQUENZ (C) WORD Wert=0x4E20
; UBRR_VAL (C) BYTE Wert=0x0A
 
