; Assemblerquelltext des RONPAS-Compilers (c) by Ronald Daleske
; PROGRAM-NAME: TEST_FUNCTION.PAS
 
.nolist
.INCLUDE "m644Pdef.inc"
.list
 
; *** Konstantentabelle ***
 
.equ        QWERT  =  0x2B ; BYTE
.equ        A12  =  0x05 ; BYTE
 
; *** Variablentabelle ***
 
.dseg
 
ABC:   ; Byte
.byte     1
X5:   ; Byte
.byte     1
 
 
 
; *** Codesegment ***
.cseg
 
; *** Sprungtabelle ***
.ORG 0
 
; Sprung in das Hauptprogramm
        JMP       RESET
 
; FUNCTION - Anfang (F02)
F02:
 
; IF THEN - Ausdruck erster Faktor / lokale, dynamische Variable VAR (W1)
        MOV        R16, R2
 
; IF THEN - Ausdruck zweiter Faktor / Zahlenwert (0x01)
        LDI        R18, 0x01
 
; Operator =
        CP         R16, R18
        BREQ       M_VERGL_04
        CLR        R16
        RJMP       M_VERGL_05
M_VERGL_04:
        SER        R16
M_VERGL_05:
 
; IF_THEN - Vergleich
        CPI        R16, 0xFF
        BREQ       M_IF_01
        RJMP       M_IF_02
M_IF_01:
 
; RESULT Byte-CONST - FUNCTION (F02)
        LDI        R16, QWERT
        MOV        R1, R16
 
; IF_THEN_ELSE - Sprung ans Ende des ELSE-Abschnitts
        RJMP       M_IF_03
 
; IF_THEN_ELSE - Beginn ELSE-Abschnitt
M_IF_02:
 
; RESULT Byte-Konstante - FUNCTION (F02);
        LDI        R16, 0x0C
        MOV        R1, R16
 
; IF_THEN_ELSE - Ende
M_IF_03:
 
; Ende Byte - FUNCTION (F02)
        MOV        R16, R1
 
; FUNCTION - Ende (F02)
        RET
 
; Start des Hauptprogramms
RESET:
 
; Initialisieren des Stacks
        LDI        R16, LOW(RAMEND)
        OUT        SPL, R16
        LDI        R16, HIGH(RAMEND)
        OUT        SPH, R16
 
; Byte-Parameter(1) fuer FUNCTION (F02)
        LDI        R16, 0x2B
        MOV        R0, R16
 
; Aufruf Funktion (F02)
        CALL       F02
 
; Zuweisung Ziel /  VAR (ABC)
        STS        ABC, R16
 
; *** Namen-Liste ***
;
; ABC (V) BYTE
; X5 (V) BYTE
; QWERT (C) BYTE Wert=0x2B
; A12 (C) BYTE Wert=0x05
; F02 (F) 
 
; *** Prozedur/Function-Liste ***
;
; FUNCTION F02 (BGF : BYTE) (W1 : BYTE) : BYTE;
 
