; Assemblerquelltext des RONPAS-Compilers (c) by Ronald Daleske
; PROGRAM-NAME: TEST_WAIT.PAS
 
.nolist
.INCLUDE "m8def.inc"
.list
 
 
; *** Codesegment ***
.cseg
 
; *** Sprungtabelle ***
.ORG 0
 
; Sprung in das Hauptprogramm
        RJMP       RESET
 
; PROCEDURE - Anfang (WAIT_MS)
WAIT_MS:
 
; Zuweisung Quelle - Ausdruck / Zahlenwert (0x0001)
        LDI        R16, LOW(0x0001)
        LDI        R17, HIGH(0x0001)
 
; Zuweisung Ziel /  lokale, dynamische Variable VAR (W1)
        MOV        R2, R16
        MOV        R3, R17
 
; FOR TO DO - Ausdruck / lokaler Uebergabeparameter (ZEIT)
        MOV        R16, R0
        MOV        R17, R1
 
; FOR TO DO - Laden des lokal Word-Zaehlwertes
        MOV        R18, R2
        MOV        R19, R3
 
; FOR TO DO - Vergleichswert Word in Stack
        PUSH       R16
        PUSH       R17
 
; FOR TO DO - Marke_Start
M_FTD_01:
 
; FOR TO DO - Word-Vergleichsteil (TO)
        POP        R17
        POP        R16
        PUSH       R16
        PUSH       R17
        CP         R16, R18
        CPC        R17, R19
        BRCC       M_FTD_02
        RJMP       M_FTD_03
 
; FOR TO DO - Beginn der Statements in der Schleife
M_FTD_02:
 
; Zuweisung Quelle - Ausdruck / Zahlenwert (0x0001)
        LDI        R16, LOW(0x0001)
        LDI        R17, HIGH(0x0001)
 
; Zuweisung Ziel /  lokale, dynamische Variable VAR (W2)
        MOV        R4, R16
        MOV        R5, R17
 
; FOR TO DO - Ausdruck / Zahlenwert (0x02D0)
        LDI        R16, LOW(0x02D0)
        LDI        R17, HIGH(0x02D0)
 
; FOR TO DO - Laden des lokal Word-Zaehlwertes
        MOV        R18, R4
        MOV        R19, R5
 
; FOR TO DO - Vergleichswert Word in Stack
        PUSH       R16
        PUSH       R17
 
; FOR TO DO - Marke_Start
M_FTD_04:
 
; FOR TO DO - Word-Vergleichsteil (TO)
        POP        R17
        POP        R16
        PUSH       R16
        PUSH       R17
        CP         R16, R18
        CPC        R17, R19
        BRCC       M_FTD_05
        RJMP       M_FTD_06
 
; FOR TO DO - Beginn der Statements in der Schleife
M_FTD_05:
 
; FOR TO DO - (lokal)Word-INC-Zaehler
        MOV        R18, R4
        MOV        R19, R5
        LDI        R20, 1
        ADD        R18, R20
        CLR        R20
        ADC        R19, R20
        MOV        R4, R18
        MOV        R5, R19
 
; FOR TO DO - Sprung zur Auswertung
        RJMP       M_FTD_04
 
; FOR TO DO - Ende
M_FTD_06:
 
; FOR TO DO - Vergleichswert (Word) vom Stack holen
        POP        R17
        POP        R16
 
; FOR TO DO - (lokal)Word-INC-Zaehler
        MOV        R18, R2
        MOV        R19, R3
        LDI        R20, 1
        ADD        R18, R20
        CLR        R20
        ADC        R19, R20
        MOV        R2, R18
        MOV        R3, R19
 
; FOR TO DO - Sprung zur Auswertung
        RJMP       M_FTD_01
 
; FOR TO DO - Ende
M_FTD_03:
 
; FOR TO DO - Vergleichswert (Word) vom Stack holen
        POP        R17
        POP        R16
 
; PROCEDURE - Ende (WAIT_MS)
        RET
 
; PROCEDURE - Anfang (INITPORTS)
INITPORTS:
 
; Zuweisung Quelle - Ausdruck / Zahlenwert (0xE0)
        LDI        R16, 0xE0
 
; Zuweisung Ziel /  VAR (DDRD)
        OUT        DDRD, R16
 
; PROCEDURE - Ende (INITPORTS)
        RET
 
; Start des Hauptprogramms
RESET:
 
; Initialisieren des Stacks
        LDI        R16, LOW(RAMEND)
        OUT        SPL, R16
        LDI        R16, HIGH(RAMEND)
        OUT        SPH, R16
 
; Aufruf PROCEDURE (INITPORTS)
        RCALL      INITPORTS
 
; Zuweisung Quelle - Ausdruck / Zahlenwert (0x00)
        LDI        R16, 0x00
 
; Zuweisung Ziel /  VAR (PORTD)
        OUT        PORTD, R16
 
; LOOP - Start_Marke
M_LOOP_07:
 
; Zuweisung Quelle - Ausdruck / Zahlenwert (0x20)
        LDI        R16, 0x20
 
; Zuweisung Ziel /  VAR (PORTD)
        OUT        PORTD, R16
 
; Word-Parameter(1) fuer PROCEDURE (WAIT_MS)
        LDI        R16, LOW(0x01F4)
        MOV        R0, R16
        LDI        R17, HIGH(0x01F4)
        MOV        R1, R17
 
; Aufruf PROCEDURE (WAIT_MS)
        RCALL      WAIT_MS
 
; Zuweisung Quelle - Ausdruck / Zahlenwert (0x40)
        LDI        R16, 0x40
 
; Zuweisung Ziel /  VAR (PORTD)
        OUT        PORTD, R16
 
; Word-Parameter(1) fuer PROCEDURE (WAIT_MS)
        LDI        R16, LOW(0x01F4)
        MOV        R0, R16
        LDI        R17, HIGH(0x01F4)
        MOV        R1, R17
 
; Aufruf PROCEDURE (WAIT_MS)
        RCALL      WAIT_MS
 
; LOOP - Ende
        RJMP       M_LOOP_07
 
; *** Namen-Liste ***
;
; SREG (V) BYTECONREG
; SPH (V) BYTECONREG
; SPL (V) BYTECONREG
; GICR (V) BYTECONREG
; GIFR (V) BYTECONREG
; TIMSK (V) BYTECONREG
; TIFR (V) BYTECONREG
; SPMCR (V) BYTECONREG
; TWCR (V) BYTECONREG
; MCUCR (V) BYTECONREG
; MCUCSR (V) BYTECONREG
; MCUSR (V) BYTECONREG
; TCCR0 (V) BYTECONREG
; TCNT0 (V) BYTECONREG
; OSCCAL (V) BYTECONREG
; SFIOR (V) BYTECONREG
; TCCR1A (V) BYTECONREG
; TCCR1B (V) BYTECONREG
; TCNT1H (V) BYTECONREG
; TCNT1L (V) BYTECONREG
; OCR1AH (V) BYTECONREG
; OCR1AL (V) BYTECONREG
; OCR1BH (V) BYTECONREG
; OCR1BL (V) BYTECONREG
; ICR1H (V) BYTECONREG
; ICR1L (V) BYTECONREG
; TCCR2 (V) BYTECONREG
; TCNT2 (V) BYTECONREG
; OCR2 (V) BYTECONREG
; ASSR (V) BYTECONREG
; WDTCR (V) BYTECONREG
; UBRRH (V) BYTECONREG
; UBRRL (V) BYTECONREG
; UCSRC (V) BYTECONREG
; UDR (V) BYTECONREG
; EEARH (V) BYTECONREG
; EEARL (V) BYTECONREG
; EEDR (V) BYTECONREG
; EECR (V) BYTECONREG
; SPDR (V) BYTECONREG
; SPSR (V) BYTECONREG
; SPCR (V) BYTECONREG
; UCSRA (V) BYTECONREG
; UCSRB (V) BYTECONREG
; ACSR (V) BYTECONREG
; ADMUX (V) BYTECONREG
; ADCSR (V) BYTECONREG
; ADCSRA (V) BYTECONREG
; ADCH (V) BYTECONREG
; ADCL (V) BYTECONREG
; TWDR (V) BYTECONREG
; TWAR (V) BYTECONREG
; TWSR (V) BYTECONREG
; TWBR (V) BYTECONREG
; PORTB (V) BYTECONREG
; DDRB (V) BYTECONREG
; PINB (V) BYTECONREG
; PORTC (V) BYTECONREG
; DDRC (V) BYTECONREG
; PINC (V) BYTECONREG
; PORTD (V) BYTECONREG
; DDRD (V) BYTECONREG
; PIND (V) BYTECONREG
; UBRR (V) WORDCONREG
; EEAR (V) WORDCONREG
; TCNT1 (V) WORDCONREG
; OCR1A (V) WORDCONREG
; OCR1B (V) WORDCONREG
; ICR1 (V) WORDCONREG
; ADCHL (V) WORDCONREG
; RXC (B) BIT
; TXC (B) BIT
; UDRE (B) BIT
; WAIT_MS (P) 
; INITPORTS (P) 
 
; *** Prozedur/Function-Liste ***
;
; PROCEDURE WAIT_MS (ZEIT : WORD) (W1 : WORD) (W2 : WORD);
; PROCEDURE INITPORTS;
 
