; Assemblerquelltext des RONPAS-Compilers (c) by Ronald Daleske
; PROGRAM-NAME: TEST_B2W.PAS
 
.nolist
.INCLUDE "m8def.inc"
.list
 
 
; *** Codesegment ***
.cseg
 
; *** Sprungtabelle ***
.ORG 0
 
; Sprung in das Hauptprogramm
        RJMP       RESET
 
; Start des Hauptprogramms
RESET:
 
; Initialisieren des Stacks
        LDI        R16, LOW(RAMEND)
        OUT        SPL, R16
 
; Zuweisung Quelle - Ausdruck / Zahlenwert (0xFE)
        LDI        R16, 0xFE
 
; Zuweisung Ziel /  VAR (DDRC)
        OUT        DDRC, R16
 
; IF THEN - Ausdruck /; BitLow(EINGANG)
        IN         R16, PINC
        BST        R16, 0
        BRTC       M_VERGL_04
        CLR        R16
        RJMP       M_VERGL_05
M_VERGL_04:
        SER        R16
M_VERGL_05:
 
; IF_THEN - Vergleich
        CPI        R16, 0xFF
        BREQ       M_IF_01
        RJMP       M_IF_02
M_IF_01:
 
; ClearBit(AUSGANG)
        CBI        PORTC, 1
 
; IF_THEN_ELSE - Sprung ans Ende des ELSE-Abschnitts
        RJMP       M_IF_03
 
; IF_THEN_ELSE - Beginn ELSE-Abschnitt
M_IF_02:
 
; SetBit(AUSGANG)
        SBI        PORTC, 1
 
; IF_THEN_ELSE - Ende
M_IF_03:
 
; *** Namen-Liste ***
;
; PORTC (V) BYTECONREG
; DDRC (V) BYTECONREG
; PINC (V) BYTECONREG
; EINGANG (B) BIT
; AUSGANG (B) BIT
 
