; Assemblerquelltext des RONPAS-Compilers (c) by Ronald Daleske
; PROGRAM-NAME: TEST_WHILE.PAS
 
.nolist
.INCLUDE "m8def.inc"
.list
 
; *** Variablentabelle ***
 
.dseg
 
A1:   ; Byte
.byte     1
A2:   ; Byte
.byte     1
W1:   ; Word
.byte     2
W2:   ; Word
.byte     2
B1:   ; Boolean
.byte     1
 
 
 
; *** Codesegment ***
.cseg
 
; *** Sprungtabelle ***
.ORG 0
 
; Sprung in das Hauptprogramm
        RJMP       RESET
 
; Start des Hauptprogramms
RESET:
 
; Initialisieren des Stacks
        LDI        R16, LOW(RAMEND)
        OUT        SPL, R16
        LDI        R16, HIGH(RAMEND)
        OUT        SPH, R16
 
; Zuweisung Quelle - Ausdruck / Zahlenwert (0x05)
        LDI        R16, 0x05
 
; Zuweisung Ziel /  VAR (A1)
        STS        A1, R16
 
; Zuweisung Quelle - Ausdruck / Zahlenwert (0x07)
        LDI        R16, 0x07
 
; Zuweisung Ziel /  VAR (A2)
        STS        A2, R16
 
; WHILE DO ...
M_WHILE_01:
 
; WHILE - Ausdruck erster Faktor / Byte-VAR (A1)
        LDS        R16, A1
 
; WHILE - Ausdruck zweiter Faktor / Byte-VAR (A2)
        LDS        R18, A2
 
; Operator <>
        CP         R16, R18
        BRNE       M_VERGL_04
        CLR        R16
        RJMP       M_VERGL_05
M_VERGL_04:
        SER        R16
M_VERGL_05:
 
; WHILE - Vergleich
        CPI        R16, 0xFF
        BREQ       M_WHILE_02
        RJMP       M_WHILE_03
M_WHILE_02:
 
; INC(A1) - Byte
        LDS        R16, A1
        INC        R16
        STS        A1, R16
 
; WHILE DO ...
        RJMP       M_WHILE_01
M_WHILE_03:
 
; *** Namen-Liste ***
;
; A1 (V) BYTE
; A2 (V) BYTE
; W1 (V) WORD
; W2 (V) WORD
; B1 (V) BOOLEAN
 
