; Assemblerquelltext des RONPAS-Compilers (c) by Ronald Daleske
; PROGRAM-NAME: TEST_ARRAY.PAS
 
.nolist
.INCLUDE "m8def.inc"
.list
 
; *** Variablentabelle ***
 
.dseg
 
A1:   ; Byte
.byte     1
X1:   ; Word
.byte     2
 
 
 
; *** Codesegment ***
.cseg
 
; *** Sprungtabelle ***
.ORG 0
 
; Sprung in das Hauptprogramm
        RJMP       RESET
 
; Start des Hauptprogramms
RESET:
 
; Initialisieren des Stacks
        LDI        R16, LOW(RAMEND)
        OUT        SPL, R16
        LDI        R16, HIGH(RAMEND)
        OUT        SPH, R16
 
; ARRAY - Ausdruck / Zahlenwert (0x0005)
        LDI        R16, LOW(0x0005)
        LDI        R17, HIGH(0x0005)
 
; Zuweisung Quelle - Ausdruck /; CONST ARRAY (SINTAB)
        LDI        ZL, LOW(2*SINTAB)
        LDI        ZH, HIGH(2*SINTAB)
        LSL        R16
        ROL        R17
        ADD        ZL, R16
        ADC        ZH, R17
        LPM        R16, Z+
        LPM        R17, Z+
 
; Zuweisung Ziel /  VAR (X1)
        STS        X1, R16
        STS        X1+1, R17
 
; *** Namen-Liste ***
;
; SINTAB (A) 
; A1 (V) BYTE
; X1 (V) WORD
 
; *** Konstanten-ARRAYs ***
;
 
SINTAB:
.dw    0x0000
.dw    0x0478
.dw    0x08EF
.dw    0x0D66
.dw    0x11DB
.dw    0x1650
.dw    0x1AC2
.dw    0x1F33
.dw    0x23A1
.dw    0x280C
.dw    0x2C74
.dw    0x30D9
.dw    0x3539
.dw    0x3996
.dw    0x3DEE
.dw    0x4242
.dw    0x4690
.dw    0x4AD9
.dw    0x4F1B
.dw    0x5358
.dw    0x578E
.dw    0x5BBE
.dw    0x5FE6
.dw    0x6407
.dw    0x681F
.dw    0x6C30
.dw    0x7039
.dw    0x7438
.dw    0x782F
.dw    0x7C1C
.dw    0x8000
.dw    0x83D9
.dw    0x87A8
.dw    0x8B6D
.dw    0x8F27
.dw    0x92D5
.dw    0x9679
.dw    0x9A10
.dw    0x9D9B
.dw    0xA11B
.dw    0xA48D
.dw    0xA7F3
.dw    0xAB4B
.dw    0xAE97
.dw    0xB1D4
.dw    0xB504
.dw    0xB826
.dw    0xBB39
.dw    0xBE3E
.dw    0xC134
.dw    0xC41B
.dw    0xC6F2
.dw    0xC9BA
.dw    0xCC73
.dw    0xCF1B
.dw    0xD1B3
.dw    0xD43B
.dw    0xD6B2
.dw    0xD919
.dw    0xDB6E
.dw    0xDDB3
.dw    0xDFE6
.dw    0xE208
.dw    0xE418
.dw    0xE616
.dw    0xE803
.dw    0xE9DD
.dw    0xEBA5
.dw    0xED5B
.dw    0xEEFE
.dw    0xF08F
.dw    0xF20D
.dw    0xF377
.dw    0xF4CF
.dw    0xF614
.dw    0xF746
.dw    0xF864
.dw    0xF96F
.dw    0xFA67
.dw    0xFB4B
.dw    0xFC1B
.dw    0xFCD8
.dw    0xFD81
.dw    0xFE17
.dw    0xFE98
.dw    0xFF06
.dw    0xFF5F
.dw    0xFFA5
.dw    0xFFD7
.dw    0xFFF5
.dw    0xFFFF
 
