PROGRAM SOUND;

DEVICE = mega8;


{$I mega8_Register.INC}




VAR
  SUMMER[PortB, 0] : bit;
  LED_GRUEN[PortC, 0] : bit;
  Zeichen : Byte;
  Frequenz, Tonlaenge : Word;
  Lampe_an : Boolean;




isr TIMER0_OVF;
begin

  INC(Tonlaenge);

  if Tonlaenge=5000 then

    if Lampe_an then
      Lampe_an:=false;
      ClearBit(LED_GRUEN);
    else
      Lampe_an:=true;
      SetBit(LED_GRUEN);
    endif;

    Tonlaenge:=0;

  endif;


end TIMER0_OVF;




procedure InitPorts;
begin
  DDRB:=  %11111111;
  DDRC:=  %11111111;
  DDRD:=  %11111100;
end InitPorts;





BEGIN


  InitPorts;


  TCCR0:=%00000001;    // kein Vorteiler (Teiler 1)
//  TCCR0:=%00000101;
  TIMSK:=%00000001;    // TOIE0: Interrupt bei Timer Overflow

  Tonlaenge:=0;

  Lampe_an:=false;
  ClearBit(LED_GRUEN);




ASM;

    SEI

ENDASM;


  LOOP
  ENDLOOP;



END SOUND.
