; Assemblerquelltext des RONPAS-Compilers (c) by Ronald Daleske
; PROGRAM-NAME: TEST_CURR.PAS
 
.nolist
.INCLUDE "m8def.inc"
.list
 
; *** Konstantentabelle ***
 
.equ        C_CURR_1  =  0x00000000001E8494 ; CURRENCY
.equ        C_CURR_2  =  0x00000000001E8494 ; CURRENCY
 
; *** Variablentabelle ***
 
.dseg
 
V_CURR_1:   ; Currency
.byte     8
VERGLEICH:   ; Boolean
.byte     1
B1:   ; Byte
.byte     1
B2:   ; Byte
.byte     1
 
 
 
; *** Codesegment ***
.cseg
 
; *** Sprungtabelle ***
.ORG 0
 
; Sprung in das Hauptprogramm
        RJMP       RESET
 
; Start des Hauptprogramms
RESET:
 
; Initialisieren des Stacks
        LDI        R16, LOW(RAMEND)
        OUT        SPL, R16
        LDI        R16, HIGH(RAMEND)
        OUT        SPH, R16
 
; Zuweisung Quelle - Ausdruck erster Faktor / Konstante CONST (C_CURR_1)
        LDI        R16, 0x94
        LDI        R17, 0x84
        LDI        R18, 0x1E
        LDI        R19, 0x00
        LDI        R20, 0x00
        LDI        R21, 0x00
        LDI        R22, 0x00
        LDI        R23, 0x00
 
; Zuweisung Quelle - Ausdruck zweiter Faktor / Konstante CONST (C_CURR_2)
        LDI        R24, 0x94
        LDI        R25, 0x84
        LDI        R26, 0x1E
        LDI        R27, 0x00
        LDI        R28, 0x00
        LDI        R29, 0x00
        LDI        R30, 0x00
        LDI        R31, 0x00
 
; Operator +
        RCALL      ASM_UP_ADD_CURR
 
; Zuweisung Ziel /  VAR (V_CURR_1)
        STS        V_CURR_1, R16
        STS        V_CURR_1+1, R17
        STS        V_CURR_1+2, R18
        STS        V_CURR_1+3, R19
        STS        V_CURR_1+4, R20
        STS        V_CURR_1+5, R21
        STS        V_CURR_1+6, R22
        STS        V_CURR_1+7, R23
 
; Zuweisung Quelle - Ausdruck erster Faktor / Konstante CONST (C_CURR_1)
        LDI        R16, 0x94
        LDI        R17, 0x84
        LDI        R18, 0x1E
        LDI        R19, 0x00
        LDI        R20, 0x00
        LDI        R21, 0x00
        LDI        R22, 0x00
        LDI        R23, 0x00
 
; Zuweisung Quelle - Ausdruck zweiter Faktor / Konstante CONST (C_CURR_2)
        LDI        R24, 0x94
        LDI        R25, 0x84
        LDI        R26, 0x1E
        LDI        R27, 0x00
        LDI        R28, 0x00
        LDI        R29, 0x00
        LDI        R30, 0x00
        LDI        R31, 0x00
 
; Operator -
        RCALL      ASM_UP_SUB_CURR
 
; Zuweisung Ziel /  VAR (V_CURR_1)
        STS        V_CURR_1, R16
        STS        V_CURR_1+1, R17
        STS        V_CURR_1+2, R18
        STS        V_CURR_1+3, R19
        STS        V_CURR_1+4, R20
        STS        V_CURR_1+5, R21
        STS        V_CURR_1+6, R22
        STS        V_CURR_1+7, R23
 
; Zuweisung Quelle - Ausdruck erster Faktor / Konstante CONST (C_CURR_1)
        LDI        R16, 0x94
        LDI        R17, 0x84
        LDI        R18, 0x1E
        LDI        R19, 0x00
        LDI        R20, 0x00
        LDI        R21, 0x00
        LDI        R22, 0x00
        LDI        R23, 0x00
 
; Zuweisung Quelle - Ausdruck zweiter Faktor / Konstante CONST (C_CURR_2)
        LDI        R24, 0x94
        LDI        R25, 0x84
        LDI        R26, 0x1E
        LDI        R27, 0x00
        LDI        R28, 0x00
        LDI        R29, 0x00
        LDI        R30, 0x00
        LDI        R31, 0x00
 
; Operator *
        RCALL      ASM_UP_MUL_CURR
 
; Zuweisung Ziel /  VAR (V_CURR_1)
        STS        V_CURR_1, R16
        STS        V_CURR_1+1, R17
        STS        V_CURR_1+2, R18
        STS        V_CURR_1+3, R19
        STS        V_CURR_1+4, R20
        STS        V_CURR_1+5, R21
        STS        V_CURR_1+6, R22
        STS        V_CURR_1+7, R23
 
; Zuweisung Quelle - Ausdruck erster Faktor / Konstante CONST (C_CURR_1)
        LDI        R16, 0x94
        LDI        R17, 0x84
        LDI        R18, 0x1E
        LDI        R19, 0x00
        LDI        R20, 0x00
        LDI        R21, 0x00
        LDI        R22, 0x00
        LDI        R23, 0x00
 
; Zuweisung Quelle - Ausdruck zweiter Faktor / Konstante CONST (C_CURR_2)
        LDI        R24, 0x94
        LDI        R25, 0x84
        LDI        R26, 0x1E
        LDI        R27, 0x00
        LDI        R28, 0x00
        LDI        R29, 0x00
        LDI        R30, 0x00
        LDI        R31, 0x00
 
; Operator /
        RCALL      ASM_UP_DIV_CURR
 
; Zuweisung Ziel /  VAR (V_CURR_1)
        STS        V_CURR_1, R16
        STS        V_CURR_1+1, R17
        STS        V_CURR_1+2, R18
        STS        V_CURR_1+3, R19
        STS        V_CURR_1+4, R20
        STS        V_CURR_1+5, R21
        STS        V_CURR_1+6, R22
        STS        V_CURR_1+7, R23
 
; Zuweisung Quelle - Ausdruck erster Faktor / Konstante CONST (C_CURR_1)
        LDI        R16, 0x94
        LDI        R17, 0x84
        LDI        R18, 0x1E
        LDI        R19, 0x00
        LDI        R20, 0x00
        LDI        R21, 0x00
        LDI        R22, 0x00
        LDI        R23, 0x00
 
; Zuweisung Quelle - Ausdruck zweiter Faktor / Zahlenwert (50000)
        LDI        R24, 0x50
        LDI        R25, 0xC3
        LDI        R26, 0x00
        LDI        R27, 0x00
        LDI        R28, 0x00
        LDI        R29, 0x00
        LDI        R30, 0x00
        LDI        R31, 0x00
 
; Operator +
        RCALL      ASM_UP_ADD_CURR
 
; Zuweisung Ziel /  VAR (V_CURR_1)
        STS        V_CURR_1, R16
        STS        V_CURR_1+1, R17
        STS        V_CURR_1+2, R18
        STS        V_CURR_1+3, R19
        STS        V_CURR_1+4, R20
        STS        V_CURR_1+5, R21
        STS        V_CURR_1+6, R22
        STS        V_CURR_1+7, R23
 
; IF THEN - Ausdruck erster Faktor / Byte-VAR (B1)
        LDS        R16, B1
 
; IF THEN - Ausdruck zweiter Faktor / Byte-VAR (B2)
        LDS        R18, B2
 
; Operator >
        CP         R18, R16
        BRCS       M_VERGL_04
        CLR        R16
        RJMP       M_VERGL_05
M_VERGL_04:
        SER        R16
M_VERGL_05:
 
; IF_THEN - Vergleich
        CPI        R16, 0xFF
        BREQ       M_IF_01
        RJMP       M_IF_02
M_IF_01:
 
; IF_THEN - Ende
M_IF_02:
 
; IF THEN - Ausdruck erster Faktor / Konstante CONST (C_CURR_1)
        LDI        R16, 0x94
        LDI        R17, 0x84
        LDI        R18, 0x1E
        LDI        R19, 0x00
        LDI        R20, 0x00
        LDI        R21, 0x00
        LDI        R22, 0x00
        LDI        R23, 0x00
 
; IF THEN - Ausdruck zweiter Faktor / Konstante CONST (C_CURR_2)
        LDI        R24, 0x94
        LDI        R25, 0x84
        LDI        R26, 0x1E
        LDI        R27, 0x00
        LDI        R28, 0x00
        LDI        R29, 0x00
        LDI        R30, 0x00
        LDI        R31, 0x00
 
; Operator <=
        RCALL      ASM_UP_VER_B_CURR
        BRCC       M_VERGL_09
        CLR        R16
        RJMP       M_VERGL_010
M_VERGL_09:
        SER        R16
M_VERGL_010:
 
; IF_THEN - Vergleich
        CPI        R16, 0xFF
        BREQ       M_IF_06
        RJMP       M_IF_07
M_IF_06:
 
; Zuweisung Quelle - Ausdruck / Zahlenwert (0x05)
        LDI        R16, 0x05
 
; Zuweisung Ziel /  VAR (B1)
        STS        B1, R16
 
; IF_THEN - Ende
M_IF_07:
 
; Zuweisung Quelle - Ausdruck / Zahlenwert (50000)
        LDI        R16, 0x50
        LDI        R17, 0xC3
        LDI        R18, 0x00
        LDI        R19, 0x00
        LDI        R20, 0x00
        LDI        R21, 0x00
        LDI        R22, 0x00
        LDI        R23, 0x00
 
; Zuweisung Ziel /  VAR (V_CURR_1)
        STS        V_CURR_1, R16
        STS        V_CURR_1+1, R17
        STS        V_CURR_1+2, R18
        STS        V_CURR_1+3, R19
        STS        V_CURR_1+4, R20
        STS        V_CURR_1+5, R21
        STS        V_CURR_1+6, R22
        STS        V_CURR_1+7, R23
 
; IF THEN - Ausdruck erster Faktor / Currency-VAR (V_CURR_1)
        LDS        R16, V_CURR_1
        LDS        R17, V_CURR_1+1
        LDS        R18, V_CURR_1+2
        LDS        R19, V_CURR_1+3
        LDS        R20, V_CURR_1+4
        LDS        R21, V_CURR_1+5
        LDS        R22, V_CURR_1+6
        LDS        R23, V_CURR_1+7
 
; IF THEN - Ausdruck zweiter Faktor / Currency-VAR (V_CURR_1)
        LDS        R24, V_CURR_1
        LDS        R25, V_CURR_1+1
        LDS        R26, V_CURR_1+2
        LDS        R27, V_CURR_1+3
        LDS        R28, V_CURR_1+4
        LDS        R29, V_CURR_1+5
        LDS        R30, V_CURR_1+6
        LDS        R31, V_CURR_1+7
 
; Operator <=
        RCALL      ASM_UP_VER_B_CURR
        BRCC       M_VERGL_014
        CLR        R16
        RJMP       M_VERGL_015
M_VERGL_014:
        SER        R16
M_VERGL_015:
 
; IF_THEN - Vergleich
        CPI        R16, 0xFF
        BREQ       M_IF_011
        RJMP       M_IF_012
M_IF_011:
 
; Zuweisung Quelle - Ausdruck / Zahlenwert (0x05)
        LDI        R16, 0x05
 
; Zuweisung Ziel /  VAR (B1)
        STS        B1, R16
 
; IF_THEN - Ende
M_IF_012:
 
; Zuweisung Quelle - Ausdruck erster Faktor / Konstante CONST (C_CURR_1)
        LDI        R16, 0x94
        LDI        R17, 0x84
        LDI        R18, 0x1E
        LDI        R19, 0x00
        LDI        R20, 0x00
        LDI        R21, 0x00
        LDI        R22, 0x00
        LDI        R23, 0x00
 
; Zuweisung Quelle - Ausdruck zweiter Faktor / Konstante CONST (C_CURR_2)
        LDI        R24, 0x94
        LDI        R25, 0x84
        LDI        R26, 0x1E
        LDI        R27, 0x00
        LDI        R28, 0x00
        LDI        R29, 0x00
        LDI        R30, 0x00
        LDI        R31, 0x00
 
; Operator <=
        RCALL      ASM_UP_VER_B_CURR
        BRCC       M_VERGL_016
        CLR        R16
        RJMP       M_VERGL_017
M_VERGL_016:
        SER        R16
M_VERGL_017:
 
; Zuweisung Ziel /  VAR (VERGLEICH)
        STS        VERGLEICH, R16
 
; *** Unterprogramm Bibliothek ***
; Addition von 2 64-Bit Zahlen (Currency)
; Version 1.0, Stand 22.09.2014
;
; Uebergabe: R16:R17:18:19:R20:R21:22:23 erster Faktor
;            R24:R25:26:27:R28:R29:30:31 zweiter Faktor
; Temporaere Register: R0..R9 
; R0, R1 = Boolean -> true = FF, false = 00
; R0 = V1_ist_negativ
; R1 = V2_ist_negativ


; -----------------------------------------
;
; Funktion: - Addition von zwei Currency-Zahlen
;           - Vorzeichen werden beachtet (auch mgliche Subtraktion) 
;           - alle temporaeren Register werden gesichert

ASM_UP_ADD_CURR:

; Retten der genutzten temporaeren Register

        PUSH       R0
        PUSH       R1

        PUSH       R2
        PUSH       R3
        PUSH       R4
        PUSH       R5
        PUSH       R6
        PUSH       R7
        PUSH       R8
        PUSH       R9

; testen, ob Variable1 (V1) negativ ist
; wenn ja wird sie positiv gesetzt und R24/R0 wird true

        RCALL      ASM_UP_POS_V1


; testen, ob Variable2 (V2) negativ ist
; wenn ja wird sie positiv gesetzt und R16/R1 wird true

        RCALL      ASM_UP_POS_V2


; nun werden die einzelnen Operationen nach dem Stand der beiden
; Vorzeichen ausgefuehrt

        CLR        R2
        CP         R0,R2
        BRNE       ASM_UP_ADD_CURR_A


        CP         R1,R2
        BRNE       ASM_UP_ADD_CURR_B


; V1 und V2 sind positiv -> d.h. es wird eine einfache Addition ausgefuehrt
        RCALL      ASM_UP_ADD_V1V2

        RJMP       ASM_UP_ADD_CURR_Z


; V1 ist negativ
ASM_UP_ADD_CURR_A:

        CP         R1,R2
        BRNE       ASM_UP_ADD_CURR_C


; V1 ist negativ, V2 ist positiv -> -V1+V2 = V2-V1
        RCALL      ASM_UP_CHG_V1V2

        RCALL      ASM_UP_SUB_V1V2

        RJMP       ASM_UP_ADD_CURR_Z


; V1 ist positiv, V2 ist negativ -> V1+-V2 = V1-V2
ASM_UP_ADD_CURR_B:
        RCALL      ASM_UP_SUB_V1V2

        RJMP       ASM_UP_ADD_CURR_Z


; V1 ist negativ, V2 ist negativ -> -V1+-V2 = -(V1+V2)
ASM_UP_ADD_CURR_C:
        RCALL      ASM_UP_ADD_V1V2

        RCALL      ASM_UP_NEG_V1




ASM_UP_ADD_CURR_Z:

        POP        R9
        POP        R8
        POP        R7
        POP        R6
        POP        R5
        POP        R4
        POP        R3
        POP        R2


        POP        R1
        POP        R0


        RET










; TOOL 01
; Version 1.0, Stand 24.09.2014
;

; -----------------------------------------
;
; Funktion: - Negation von V1 -> 0-V1

ASM_UP_NEG_V1:

        ; V1 wird in R2..R9 geladen
        MOV        R2,R16
        MOV        R3,R17
        MOV        R4,R18
        MOV        R5,R19
        MOV        R6,R20
        MOV        R7,R21
        MOV        R8,R22
        MOV        R9,R23

        ; R16..R23 wird auf 0 gesetzt
        CLR        R16
        CLR        R17
        CLR        R18
        CLR        R19
        CLR        R20
        CLR        R21
        CLR        R22
        CLR        R23

        ; 0 - V1 -> Ergebnis in V1
        SUB        R16,R2
        SBC        R17,R3
        SBC        R18,R4
        SBC        R19,R5
        SBC        R20,R6
        SBC        R21,R7
        SBC        R22,R8
        SBC        R23,R9

        RET



; -----------------------------------------
;
; Funktion: - Tauschen der beiden Variablen V1+V2

ASM_UP_CHG_V1V2:

; V1 <--> V2
        MOV        R2,R16
        MOV        R16,R24
        MOV        R24,R2

        MOV        R2,R17
        MOV        R17,R25
        MOV        R25,R2

        MOV        R2,R18
        MOV        R18,R26
        MOV        R26,R2

        MOV        R2,R19
        MOV        R19,R27
        MOV        R27,R2

        MOV        R2,R20
        MOV        R20,R28
        MOV        R28,R2

        MOV        R2,R21
        MOV        R21,R29
        MOV        R29,R2

        MOV        R2,R22
        MOV        R22,R30
        MOV        R30,R2

        MOV        R2,R23
        MOV        R23,R31
        MOV        R31,R2

        RET


; -----------------------------------------
;
; Funktion: - Addition der beiden Variablen V1+V2
;           - beide Variablen muessen positiv sein 

ASM_UP_ADD_V1V2:

; Addition von V1+V2 (beide positiv)
        ADD        R16, R24
        ADC        R17, R25
        ADC        R18, R26
        ADC        R19, R27
        ADC        R20, R28
        ADC        R21, R29
        ADC        R22, R30	
        ADC        R23, R31

        RET


; -----------------------------------------
;
; Funktion: - Subtraktion beiden Variablen V1-V2
;           - beide Variablen muessen positiv sein 

ASM_UP_SUB_V1V2:

; Subtraktion von V1-V2 (beide positiv)
        SUB        R16, R24
        SBC        R17, R25
        SBC        R18, R26
        SBC        R19, R27
        SBC        R20, R28
        SBC        R21, R29
        SBC        R22, R30	
        SBC        R23, R31

        RET




; -----------------------------------------
;
; Funktion: - Vergleich beiden Variablen V1-V2
;           - beide Variablen muessen positiv sein 

ASM_UP_VER_V1V2:

; Vergleich von V1-V2 (beide positiv)
        CP         R16, R24
        CPC        R17, R25
        CPC        R18, R26
        CPC        R19, R27
        CPC        R20, R28
        CPC        R21, R29
        CPC        R22, R30	
        CPC        R23, R31

        RET




; -----------------------------------------
;
; Funktion: - testen, ob Variable1 negativ ist
;           - wenn ja, wird R24 (V1_ist_negativ) true (=FF) 
;           - wenn nein, bleibt die Variable1 wie sie ist (eben positiv) 

ASM_UP_POS_V1:

; R24 wird als V1 genutzt
        PUSH       R24
        CLR        R24


        ; ist V1 negativ, so ist das Bit 7 im Register 23=1
        SBRS       R23,7       
        ; ist V1 negativ, so wird dieser Sprung uebersprungen
        RJMP       ASM_UP_POS_V1_A


; ab hier wurde erkannt, dass V1 negativ ist

        ; V1_ist_negativ und wird true -> FF 
        SER        R24

; V1 wird positiv, indem 0-V1 berechnet wird

        ; V1 wird in R2..R9 geladen
        MOV        R2,R16
        MOV        R3,R17
        MOV        R4,R18
        MOV        R5,R19
        MOV        R6,R20
        MOV        R7,R21
        MOV        R8,R22
        MOV        R9,R23

        ; R16..R23 wird auf 0 gesetzt
        CLR        R16
        CLR        R17
        CLR        R18
        CLR        R19
        CLR        R20
        CLR        R21
        CLR        R22
        CLR        R23

        ; 0 - V1 -> Ergebnis in V1
        SUB        R16,R2
        SBC        R17,R3
        SBC        R18,R4
        SBC        R19,R5
        SBC        R20,R6
        SBC        R21,R7
        SBC        R22,R8
        SBC        R23,R9

; ab hier ist V1 sicher positiv
ASM_UP_POS_V1_A:

        ; R0 ist die Variable -> V1_ist_negativ 
        MOV        R0,R24
        POP        R24


        RET




; -----------------------------------------
;
; Funktion: - testen, ob Variable2 negativ ist
;           - wenn ja, wird R16 (V2_ist_negativ) true (=FF) 
;           - wenn nein, bleibt die Variable2 wie sie ist (eben positiv) 

ASM_UP_POS_V2:

; R16 wird als V2 genutzt
        PUSH       R16
        CLR        R16


        ; ist V2 negativ, so ist das Bit 7 im Register 31=1
        SBRS       R31,7       
        ; ist V2 negativ, so wird dieser Sprung uebersprungen
        RJMP       ASM_UP_POS_V2_A


; ab hier wurde erkannt, dass V2 negativ ist

        ; V2_ist_negativ und wird true -> FF 
        SER        R16

; V2 wird positiv, indem 0-V2 berechnet wird

        ; V2 wird in R2..R9 geladen
        MOV        R2,R24
        MOV        R3,R25
        MOV        R4,R26
        MOV        R5,R27
        MOV        R6,R28
        MOV        R7,R29
        MOV        R8,R30
        MOV        R9,R31

        ; R24..R31 wird auf 0 gesetzt
        CLR        R24
        CLR        R25
        CLR        R26
        CLR        R27
        CLR        R28
        CLR        R29
        CLR        R30
        CLR        R31

        ; 0 - V2 -> Ergebnis in V2
        SUB        R24,R2
        SBC        R25,R3
        SBC        R26,R4
        SBC        R27,R5
        SBC        R28,R6
        SBC        R29,R7
        SBC        R30,R8
        SBC        R31,R9

; ab hier ist V2 sicher positiv
ASM_UP_POS_V2_A:

        ; R1 ist die Variable -> V2_ist_negativ 
        MOV        R1,R16
        POP        R16


        RET



; -----------------------------------------







; TOOL 02
; Version 1.0, Stand 18.03.2015
;


; -----------------------------------------
;
; Funktion: - Modulo
; -----------------------------------------
;
;
ASM_UP_MOD_CURR_P1_P2:
; r16..r23 MOD r24..r31 = r16..r23

        SET
        RJMP    ASM_UP_MOD_DIV_CURR_P1_P2




; -----------------------------------------
;
; Funktion: - Division
; -----------------------------------------
;
;
ASM_UP_DIV_CURR_P1_P2:
; r16..r23 DIV r24..r31 = r16..r23

        CLT

ASM_UP_MOD_DIV_CURR_P1_P2:

        ; Loeschen von R2 und R3
        CLR     R2
        CLR     R3

        ; Loeschen von R4,R5, R6, R7, R8, R9
        MOVW    R4, R2
        MOVW    R6, R2
        MOVW    R8, R2

        ; Laden von R10 mit 64 (Schleifenzahl) 
        PUSH    R16
        LDI     R16, 64
        MOV     R10, R16
        POP     R16


ASM_UP_MOD_DIV_CURR_A:

        
        LSL     R16
        ROL     R17
        ROL     R18
        ROL     R19
        ROL     R20
        ROL     R21
        ROL     R22
        ROL     R23


        ROL     R2
        ROL     R3
        ROL     R4
        ROL     R5
        ROL     R6
        ROL     R7
        ROL     R8
        ROL     R9


        CP      R2, R24
        CPC     R3, R25
        CPC     R4, R26
        CPC     R5, R27
        CPC     R6, R28
        CPC     R7, R29
        CPC     R8, R30
        CPC     R9, R31

        BRCS    ASM_UP_MOD_DIV_CURR_B


        SUB     R2, R24
        SBC     R3, R25
        SBC     R4, R26
        SBC     R5, R27
        SBC     R6, R28
        SBC     R7, R29
        SBC     R8, R30
        SBC     R9, R31


        INC     R16


ASM_UP_MOD_DIV_CURR_B:

        DEC     R10


	BRNE    ASM_UP_MOD_DIV_CURR_A

        BRTC    ASM_UP_MOD_DIV_CURR_C

        MOVW    R16, R2
        MOVW    R18, R4
        MOVW    R20, R6
        MOVW    R22, R8


ASM_UP_MOD_DIV_CURR_C:


        RET




; -----------------------------------------
;
; Funktion: - Multiplikation
; r16..r23 * r24..r31 = r16..r23

ASM_UP_MUL_CURR_P1_P2:

        ; Loeschen R2, R3
        CLR        R2
        CLR        R3

	; Loeschen R4..R9
        MOVW       R4, R2
        MOVW       R6, R2
        MOVW       R8, R2

        ; Laden des Counters R10 mit 65
        PUSH       R16
        LDI        R16, 65
        MOV        R10, R16
        POP        R16

        ; Einspring in die Schleife
        RJMP       ASM_UP_MUL_CURR_D


ASM_UP_MUL_CURR_B:
        BRCC       ASM_UP_MUL_CURR_C
        ADD        R2, R24
        ADC        R3, R25
        ADC        R4, R26
        ADC        R5, R27
        ADC        R6, R28
        ADC        R7, R29
        ADC        R8, R30
        ADC        R9, R31

ASM_UP_MUL_CURR_C:
        ROR        R9
        ROR        R8
        ROR        R7
        ROR        R6
        ROR        R5
        ROR        R4
        ROR        R3
        ROR        R2

ASM_UP_MUL_CURR_D:
        ROR        R23
        ROR        R22
        ROR        R21
        ROR        R20
        ROR        R19
        ROR        R18
        ROR        R17
        ROR        R16

        DEC        R10

	BRNE	ASM_UP_MUL_CURR_B


        RET



; -----------------------------------------





; Division von 2 64-Bit Zahlen (Currency)
; Version 1.0, Stand 28.10.2014
;
; nach einer Veroeffentlichung
; in: http://www.avrfreaks.net/forum/c-util-efficient-64-bit-support
; Attachment(s): my64bit.zip
; Datei: dannis64bit.S
; Titel: AVR-GCC: Much better 64 bit support
; Author: Peter Dannegger
;
; Uebergabe: R16:R17:18:19:R20:R21:22:23 erster Faktor
;            R24:R25:26:27:R28:R29:30:31 zweiter Faktor
; Temporaere Register: R0..R9 
; R0, R1 = Boolean -> true = FF, false = 00
; R0 = V1_ist_negativ
; R1 = V2_ist_negativ


; -----------------------------------------
;
; Funktion: - Division von zwei Currency-Zahlen
;           - Vorzeichen werden beachtet
;           - alle temporaeren Register werden gesichert

ASM_UP_DIV_CURR:

; Retten der genutzten temporaeren Register

        PUSH       R0
        PUSH       R1
        PUSH       R2
        PUSH       R3
        PUSH       R4
        PUSH       R5
        PUSH       R6
        PUSH       R7
        PUSH       R8
        PUSH       R9
        PUSH       R10

; testen, ob Variable1 (V1) negativ ist
; wenn ja wird sie positiv gesetzt und R24/R0 wird true

        RCALL      ASM_UP_POS_V1

        ; retten des Vorzeichenwetes
        PUSH       R0


; testen, ob Variable2 (V2) negativ ist
; wenn ja wird sie positiv gesetzt und R16/R1 wird true

        RCALL      ASM_UP_POS_V2

        ; retten des Vorzeichenwetes
        PUSH       R1


; der Divident muss mit 10000 multipliziert werden (Verschiebung des Komars)        
        PUSH       R24
        PUSH       R25
        PUSH       R26
        PUSH       R27
        PUSH       R28
        PUSH       R29
        PUSH       R30
        PUSH       R31


; Wert 10000 in V2
        LDI        R24,0x10
        LDI        R25,0x27
        LDI        R26,0x00
        LDI        R27,0x00
        LDI        R28,0x00
        LDI        R29,0x00
        LDI        R30,0x00
        LDI        R31,0x00


; Divident * 10000
        RCALL      ASM_UP_MUL_CURR_P1_P2


; zurueckholen des Divisors
        POP        R31
        POP        R30
        POP        R29
        POP        R28
        POP        R27
        POP        R26
        POP        R25
        POP        R24

; Division = Divident / Divisor
        RCALL      ASM_UP_DIV_CURR_P1_P2



; Auswerten der Vorzeichen und setzen des Vorzeichens des Ergebnisses
        POP        R1
        POP        R0

        CLR        R24

        CP         R0, R24

        BREQ       ASM_UP_DIV_CURR_X

        CP         R1, R24

; sind beide Vorzeichen gleich (++) dann Vorzeichen Ergebnis (+)
        BRNE       ASM_UP_DIV_CURR_Z

        RJMP       ASM_UP_DIV_CURR_Y

ASM_UP_DIV_CURR_X:

        CP         R1, R24

; sind beide Vorzeichen gleich (--) dann Vorzeichen Ergebnis (+)
        BREQ       ASM_UP_DIV_CURR_Z


ASM_UP_DIV_CURR_Y:

; sind die beiden Vorzeichen ungleich (-+) oder (+-) dann Vorzeichen Ergebnis (-)
        RCALL     ASM_UP_NEG_V1


ASM_UP_DIV_CURR_Z:



        POP        R10
        POP        R9
        POP        R8
        POP        R7
        POP        R6
        POP        R5
        POP        R4
        POP        R3
        POP        R2
        POP        R1
        POP        R0


        RET










; Multiplikation von 2 64-Bit Zahlen (Currency)
; Version 1.0, Stand 24.10.2014
;
; nach einer Veroeffentlichung
; in: http://www.avrfreaks.net/forum/c-util-efficient-64-bit-support
; Attachment(s): my64bit.zip
; Datei: dannis64bit.S
; Titel: AVR-GCC: Much better 64 bit support
; Author: Peter Dannegger
;
; Uebergabe: R16:R17:18:19:R20:R21:22:23 erster Faktor
;            R24:R25:26:27:R28:R29:30:31 zweiter Faktor
; Temporaere Register: R0..R9 
; R0, R1 = Boolean -> true = FF, false = 00
; R0 = V1_ist_negativ
; R1 = V2_ist_negativ


; -----------------------------------------
;
; Funktion: - Multiplikation von zwei Currency-Zahlen
;           - Vorzeichen werden beachtet (auch mgliche Subtraktion) 
;           - alle temporaeren Register werden gesichert

ASM_UP_MUL_CURR:

; Retten der genutzten temporaeren Register

        PUSH       R0
        PUSH       R1

        PUSH       R2
        PUSH       R3
        PUSH       R4
        PUSH       R5
        PUSH       R6
        PUSH       R7
        PUSH       R8
        PUSH       R9
        PUSH       R10

; testen, ob Variable1 (V1) negativ ist
; wenn ja wird sie positiv gesetzt und R24/R0 wird true

        RCALL      ASM_UP_POS_V1


        ; retten des Vorzeichenwetes
        PUSH       R0


; testen, ob Variable2 (V2) negativ ist
; wenn ja wird sie positiv gesetzt und R16/R1 wird true

        RCALL      ASM_UP_POS_V2

        ; retten des Vorzeichenwetes
        PUSH       R1



; Faktor * Faktor = Produkt
        RCALL      ASM_UP_MUL_CURR_P1_P2


; Korrektur der Vorzeichenstellen durch Division des Ergebnisses mit 10000
        LDI        R24,0x10
        LDI        R25,0x27
        LDI        R26,0x00
        LDI        R27,0x00
        LDI        R28,0x00
        LDI        R29,0x00
        LDI        R30,0x00
        LDI        R31,0x00


        RCALL      ASM_UP_DIV_CURR_P1_P2





; Auswerten der Vorzeichen und setzen des Vorzeichens des Ergebnisses
        POP        R1
        POP        R0

        CLR        R24

        CP         R0, R24

        BREQ       ASM_UP_MUL_CURR_X

        CP         R1, R24

; sind beide Vorzeichen gleich (++) dann Vorzeichen Ergebnis (+)
        BRNE       ASM_UP_MUL_CURR_Z

        RJMP       ASM_UP_MUL_CURR_Y

ASM_UP_MUL_CURR_X:

        CP         R1, R24

; sind beide Vorzeichen gleich (--) dann Vorzeichen Ergebnis (+)
        BREQ       ASM_UP_MUL_CURR_Z


ASM_UP_MUL_CURR_Y:

; sind die beiden Vorzeichen ungleich (-+) oder (+-) dann Vorzeichen Ergebnis (-)
        RCALL     ASM_UP_NEG_V1



ASM_UP_MUL_CURR_Z:

        POP        R10
        POP        R9
        POP        R8
        POP        R7
        POP        R6
        POP        R5
        POP        R4
        POP        R3
        POP        R2


        POP        R1
        POP        R0


        RET










; Subtraktion von 2 64-Bit Zahlen (Currency)
; Version 1.0, Stand 24.09.2014
;
; Uebergabe: R16:R17:18:19:R20:R21:22:23 erster Faktor
;            R24:R25:26:27:R28:R29:30:31 zweiter Faktor
; Temporaere Register: R0..R9 
; R0, R1 = Boolean -> true = FF, false = 00
; R0 = V1_ist_negativ
; R1 = V2_ist_negativ


; -----------------------------------------
;
; Funktion: - Subtraktion von zwei Currency-Zahlen
;           - Vorzeichen werden beachtet (auch mgliche Subtraktion) 
;           - alle temporaeren Register werden gesichert

ASM_UP_SUB_CURR:

; Retten der genutzten temporaeren Register

        PUSH       R0
        PUSH       R1

        PUSH       R2
        PUSH       R3
        PUSH       R4
        PUSH       R5
        PUSH       R6
        PUSH       R7
        PUSH       R8
        PUSH       R9

; testen, ob Variable1 (V1) negativ ist
; wenn ja wird sie positiv gesetzt und R24/R0 wird true

        RCALL      ASM_UP_POS_V1


; testen, ob Variable2 (V2) negativ ist
; wenn ja wird sie positiv gesetzt und R16/R1 wird true

        RCALL      ASM_UP_POS_V2


; nun werden die einzelnen Operationen nach dem Stand der beiden
; Vorzeichen ausgefuehrt

        CLR        R2
        CP         R0,R2
        BRNE       ASM_UP_SUB_CURR_A


        CP         R1,R2
        BRNE       ASM_UP_SUB_CURR_B



; V1 und V2 sind positiv -> d.h. es wird eine einfache Subtraktion ausgefuehrt -> V1-V2
        RCALL      ASM_UP_SUB_V1V2

        RJMP       ASM_UP_SUB_CURR_Z


; V1 ist negativ
ASM_UP_SUB_CURR_A:

        CP         R1,R2
        BRNE       ASM_UP_SUB_CURR_C


; V1 ist negativ, V2 ist positiv -> -V1-V2 = -(V1+V2)
        RCALL      ASM_UP_ADD_V1V2

        RCALL      ASM_UP_NEG_V1

        RJMP      ASM_UP_SUB_CURR_Z


; V1 ist positiv, V2 ist negativ -> V1--V2 = V1+V2
ASM_UP_SUB_CURR_B:
        RCALL      ASM_UP_ADD_V1V2

        RJMP       ASM_UP_SUB_CURR_Z


; V1 ist negativ, V2 ist negativ -> -V1--V2 = -V1+V2 = V2-V1
ASM_UP_SUB_CURR_C:
        RCALL      ASM_UP_CHG_V1V2

        RCALL      ASM_UP_SUB_V1V2



ASM_UP_SUB_CURR_Z:

        POP        R9
        POP        R8
        POP        R7
        POP        R6
        POP        R5
        POP        R4
        POP        R3
        POP        R2


        POP        R1
        POP        R0


        RET







; Vergleich von 2 64-Bit Zahlen (Currency)
; Version 1.0, Stand 24.09.2014
;
; Uebergabe: R16:R17:18:19:R20:R21:22:23 erster Faktor
;            R24:R25:26:27:R28:R29:30:31 zweiter Faktor
; Temporaere Register: R0..R9 
; R0, R1 = Boolean -> true = FF, false = 00
; R0 = V1_ist_negativ
; R1 = V2_ist_negativ


; -----------------------------------------
;
; Funktion: - Vergleich von zwei Currency-Zahlen
;           - Vorzeichen werden beachtet (auch mgliche Subtraktion) 
;           - alle temporaeren Register werden gesichert
;
; V1 > V2 (oder das Gegenteil von V1 < V2 und V1 = V2)
; ausgefuehrt wird V2 < V1 durch Tauschen von V1 mit V2
ASM_UP_VER_B_CURR:

; Retten der genutzten temporaeren Register

        PUSH       R0
        PUSH       R1

        PUSH       R2
        PUSH       R3
        PUSH       R4
        PUSH       R5
        PUSH       R6
        PUSH       R7
        PUSH       R8
        PUSH       R9

; testen, ob Variable1 (V1) negativ ist
; wenn ja wird sie positiv gesetzt und R24/R0 wird true

        RCALL      ASM_UP_POS_V1


; testen, ob Variable2 (V2) negativ ist
; wenn ja wird sie positiv gesetzt und R16/R1 wird true

        RCALL      ASM_UP_POS_V2


; nun werden die einzelnen Operationen nach dem Stand der beiden
; Vorzeichen ausgefuehrt

        CLR        R2
        CP         R0,R2
        BRNE       ASM_UP_VER_B_CURR_A


        CP         R1,R2
        BRNE       ASM_UP_VER_B_CURR_B



; V1 und V2 sind positiv -> d.h. es wird getauscht und ein einfacher Vergleich ausgefuehrt -> (V2-V1)
        RCALL      ASM_UP_CHG_V1V2

        RCALL      ASM_UP_VER_V1V2

        RJMP       ASM_UP_VER_B_CURR_Z


; V1 ist negativ
ASM_UP_VER_B_CURR_A:

        CP         R1,R2
        BRNE       ASM_UP_VER_B_CURR_C


; V1 ist negativ, V2 ist positiv -> d.h. V1 ist immer kleiner als V2
        CLC

        RJMP       ASM_UP_VER_B_CURR_Z


; V1 ist positiv, V2 ist negativ -> d.h. V1 ist immer groesser als V2
ASM_UP_VER_B_CURR_B:
        SEC

        RJMP       ASM_UP_VER_B_CURR_Z


; V1 ist negativ, V2 ist negativ -> d.h. es handelt sich um zwei negative Zahlen
; im Zahlenstrahl verhalten sie sich im Vergleich umgekehrt
; 1. Tauschen entfaellt wg. 2x tauschen
; 2. es wird ein einfacher Vergleich ausgefuehrt -> (V1-V2)
ASM_UP_VER_B_CURR_C:

        RCALL      ASM_UP_VER_V1V2


ASM_UP_VER_B_CURR_Z:

        POP        R9
        POP        R8
        POP        R7
        POP        R6
        POP        R5
        POP        R4
        POP        R3
        POP        R2


        POP        R1
        POP        R0


        RET







 
; *** Namen-Liste ***
;
; C_CURR_1 (C) CURRENCY Wert=2000020
; C_CURR_2 (C) CURRENCY Wert=2000020
; V_CURR_1 (V) CURRENCY
; VERGLEICH (V) BOOLEAN
; B1 (V) BYTE
; B2 (V) BYTE
 
